"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEntries = void 0;
const escapeRegExp_1 = require("./escapeRegExp");
function getEntries(text, substrings, regExpFlags) {
    const arrayOfMatchesArrays = substrings.reduce((acc, substring) => {
        acc.push(...text.matchAll(new RegExp((0, escapeRegExp_1.escapeRegExp)(substring), regExpFlags)));
        return acc;
    }, []);
    return arrayOfMatchesArrays.map((item) => ({
        startIndex: item.index || 0,
        endIndex: (item.index || 0) + item[0].length,
    }));
}
exports.getEntries = getEntries;
